Bug 179354 - sysutils/hourglass: remove optional dependency on devel/linuxthreads
Summary: sysutils/hourglass: remove optional dependency on devel/linuxthreads
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philippe Audeoud
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-05 22:20 UTC by Rene Ladan
Modified: 2013-06-07 15:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.34 KB, patch)
2013-06-05 22:20 UTC, Rene Ladan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2013-06-05 22:20:00 UTC
sysutils/hourglass optionally depends on devel/linuxthreads, which is expired.
Remove the WITH_LINUXTHREADS knob from the Makefile.

While here:
- convert Makefile header
- Tighten COMMENT
- Use PORT_OPTIONS:MDOCS instead of NOPORTDOCS, adjust include files.

Fix: Patch attached with submission follows:
How-To-Repeat: `Tools/scripts/rmport devel/linuxthreads` finds this port.
Comment 1 Edwin Groothuis freebsd_committer 2013-06-05 22:20:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jadawin

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-06-07 15:19:40 UTC
Author: jadawin
Date: Fri Jun  7 14:19:28 2013
New Revision: 320203
URL: http://svnweb.freebsd.org/changeset/ports/320203

Log:
  - Remove the WITH_LINUXTHREADS knob from the Makefile.
  
  PR:		ports/179354
  Submitted by:	rene@

Modified:
  head/sysutils/hourglass/Makefile   (contents, props changed)

Modified: head/sysutils/hourglass/Makefile
==============================================================================
--- head/sysutils/hourglass/Makefile	Fri Jun  7 13:49:00 2013	(r320202)
+++ head/sysutils/hourglass/Makefile	Fri Jun  7 14:19:28 2013	(r320203)
@@ -1,9 +1,4 @@
-# New ports collection makefile for:	hourglass
-# Date created:		23 March 2004
-# Whom:			olive
-#
 # $FreeBSD$
-#
 
 PORTNAME=	hourglass
 PORTVERSION=	1.0.1
@@ -12,7 +7,7 @@ MASTER_SITES=	http://www.cs.utah.edu/~re
 DISTNAME=	${PORTNAME}-${PORTVERSION}b
 
 MAINTAINER=	jadawin@FreeBSD.org
-COMMENT=	A real-time application useful to learn how CPU scheduling works
+COMMENT=	Real-time application to learn how CPU scheduling works
 
 RUN_DEPENDS=	jgraph:${PORTSDIR}/graphics/jgraph
 
@@ -22,15 +17,9 @@ GNU_CONFIGURE=	yes
 PLIST_FILES=	bin/busy bin/hourglass
 PORTDOCS=	CALIBRATION
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
-.if defined(WITH_LINUXTHREADS)
-THREAD_LIBS=	-L${LOCALBASE}/lib -llthread -llgcc_r
-THREAD_CFLAGS=	-D_THREAD_SAFE -I${LOCALBASE}/include/pthread/linuxthreads
-LIB_DEPENDS+=	lthread.3:${PORTSDIR}/devel/linuxthreads
-.else
 THREAD_LIBS=	-pthread
-.endif
 
 post-patch:
 	@${REINPLACE_CMD} -e 's,%LOCALBASE%,${LOCALBASE},g' \
@@ -41,11 +30,11 @@ post-patch:
 		${WRKSRC}/configure
 
 post-install:
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 . for doc in ${PORTDOCS}
 	${INSTALL_DATA} ${WRKSRC}/${doc} ${DOCSDIR}
 . endfor
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Philippe Audeoud freebsd_committer 2013-06-07 15:20:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!